#include <iostream>
#include <math.h>
using namespace std;
#define MAXN 1500
int main()
{
    int n,x[MAXN],y[MAXN],brojac=0,Vrednost=0,l;
    cin>>n;
    for(int i=0;i<n;i++){
            cin>>x[i]>>y[i];

    }
    l=x[0]-y[0];
    Vrednost=abs(l);
    for(int i=1; i<n; i++){
        if(Vrednost>abs(x[i+1]-y[i+1])&&Vrednost==abs(2*(x[i+1]-y[i+1]))||Vrednost<abs(x[i+1]-y[i+1])&&abs((x[i+1]-y[i+1]))==2*Vrednost){
            brojac++;
            Vrednost=abs(x[i]-y[i]);
        }
        else
        Vrednost=abs(x[i]-y[i]);
      ///  cout<<abs(x[i]-y[i])<<endl;
    }
    cout<<brojac;

}